petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoLineSearchView

Prints information about the TaoLineSearch

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchView(TaoLineSearch ls, PetscViewer viewer)

Collective on TaoLineSearch

### InputParameters

| ls | - the Tao context
| viewer | - visualization context

### Options Database Key

-tao_ls_view -Calls TaoLineSearchView() at the end of each line search

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

### See Also

PetscViewerASCIIOpen()

### Level

beginner

### Location

src/tao/linesearch/interface/taolinesearch.c

### Implementations

TaoLineSearchView_Armijo in src/tao/linesearch/impls/armijo/armijo.c
TaoLineSearchView_GPCG in src/tao/linesearch/impls/gpcglinesearch/gpcglinesearch.c
TaoLineSearchView_OWArmijo in src/tao/linesearch/impls/owarmijo/owarmijo.c
TaoLineSearchView_Unit in src/tao/linesearch/impls/unit/unit.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages